# alicloud_impinteraction_classroom

本插件是`低代码音视频工厂课堂低代码接入（含UI）`（以下简称`课堂低代码`）的Flutter实现插件。

## 环境要求
- 系统版本：支持Android 5.0及以上版本。
- API版本：支持21及以上版本。
- CPU架构：支持实体设备架构armeabi-v7a、arm64-v8a。
- 其他：不支持视频采集旋转，不支持USB外接摄像头。

## 开始接入

欲使用本插件，需了解`课堂低代码`[接入流程](https://help.aliyun.com/document_detail/409732.html)

### 准备建立长连接
[建立长连接](https://help.aliyun.com/document_detail/409707.html)

## 工程配置

工程配置中添加minSdkVersion配置项 (> 21)
```groovy
android {                                                                                     │
   defaultConfig {                                                                             │
     minSdkVersion 21                                                                          │
   }                                                                                           │
}
```

覆盖android:label
> add 'tools:replace="android:label"' to <application> element at AndroidManifest.xml

## API使用
### 初始化

需要传入

```dart
Future<void> initPlugin() async {
  String initResult;
  try {
    var param = {
      'userId': 'FlutterFormal',
      'appId': '',
      'appKey4Android': '',
      'appKey4iOS': '',
      'serverHost': '',
      'serverSecret': '',
    };

    initResult = await AlicloudImpinteractionClassroom.init(param) ??
        'Unknown init result';
  } on PlatformException {
    initResult = 'Failed to init.';
  }

  if (!mounted) return;

  setState(() {
    _initResult = initResult;
  });
}
```

